<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/iv_addon_icon"
        style="@style/frescoStyle"
        android:layout_width="28dp"
        android:layout_height="28dp"
        android:layout_marginTop="2dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:maxLength="12"
        android:textColor="@color/text_secondary"
        android:textSize="11sp"
        app:layout_constraintEnd_toEndOf="@+id/iv_addon_icon"
        app:layout_constraintStart_toStartOf="@+id/iv_addon_icon"
        app:layout_constraintTop_toBottomOf="@+id/iv_addon_icon"
        tools:text="我的游戏" />

    <View
        android:id="@+id/iv_message_tips"
        android:layout_width="6dp"
        android:layout_height="6dp"
        android:layout_alignEnd="@+id/iv_addon_icon"
        android:layout_marginTop="-2dp"
        android:layout_marginEnd="-2dp"
        android:layout_marginRight="-2dp"
        android:background="@drawable/oval_hint_red_bg"
        android:visibility="visible"
        app:layout_constraintEnd_toEndOf="@+id/iv_addon_icon"
        app:layout_constraintTop_toTopOf="@id/iv_addon_icon" />
</androidx.constraintlayout.widget.ConstraintLayout>